Subject: Re: [Isis-wg] Computing hop by hop routes with wide (TE Draft) metrics

From: Radia Perlman - Boston Center for Networking <[email-masked]>
Date: Thu, 11 Jan 2001 12:46:43 -0500 (EST)

Good point Neal. What are routers supposed to do in a mixture of
old metrics and new metrics? If different implementations do
different things (for instance, some ignore one metric or the
other and compute only according to one while others perhaps
happily compute a path consisting of a mixture of metrics), then
you can have routing loops. So it seems like the most important
thing is to ensure they're doing something consistent, even
when you're mixing in old routers that will be ignoring the new TLV,
and the next most important thing is to optimize the consistent
thing so routes are reasonable when there's a mixture of old
routers and new routers.

A refinement perhaps on Neal's 2nd strategy
  1) start with all old routers
  2) one-by-one upgrade to "new.1" routers (routers that understand the
      new metric, and report it, but continue to report the old
      metric, and compute paths according to the old metric. And both
      metrics have to be equal (top n-6 bits of new metric = 0)
  3) one by one upgrade to "new.2" routers (still report both
      metrics, compute paths according to new metrics)
  4) one by one upgrade to "new.3" routers that stop reporting
      old metric. At this point the two metrics no longer need to
      agree since nobody's looking at the old metric, so you
      get the full power of the new metric.
      
Then I suppose there's just making a rule that you'll never mix old
and new routers in an area, but that seems somewhat dangerous. Maybe
not horribly dangerous if routers never report both old and new metrics,
and only look at one or the other, so they wouldn't wind up actually
computing paths through each other. I guess that's a clarification of
the strategy Neal wrote as the first strategy?

Radia

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Tony Przygienda <[email-masked]>
Date: Thu, 11 Jan 2001 21:58:42 +0100 (MET)

> the strategy Neal wrote as the first strategy?

a strict mathematical demise of the problem (it's not for the faint of 
heart looking for a quick fix) that also presents a necessary
and sufficient algorithm to route loop-free in a mixed scenario has been 
presented in an infocom'99 paper by Khotimsky et al., "Hop by Hope Routing
in Networks with Overlaid Routing Domains".

Simplest solution is not to mix old & new style routers in an area though. 

	thanks 

	-- tony